﻿'Commission
'This program allows users to enter a selling price of an item and determine the shipping costs.

Public Class Form1
    Private Sub btnCalculate_Click(sender As Object, e As EventArgs) Handles btnCalculate.Click
        'Commission is a fixed value, so it is declared as a constant
        'Commission is 18%
        Const dblSHIPPING_RATE As Double = 0.18

        'Variables
        Dim strItemSold As String       'Description of item sold
        Dim dblSellingPrice As Double   'Selling price
        Dim dblShipping As Double       'Shipping cost
        Dim dblFinalPrice As Double     'Selling price + shipping

        'Get item sold
        strItemSold = txtItemSold.Text

        Try
            'Obtain selling price
            dblSellingPrice = CDbl(txtSellingPrice.Text)

            'Calculate shipping
            dblShipping = dblSellingPrice * dblSHIPPING_RATE

            'Determine final price (add selling price to shipping)
            dblFinalPrice = dblSellingPrice + dblShipping

            'Display results
            lblResult.Text = "Item sold: " + strItemSold + vbCrLf +
                "Shipping: " + dblShipping.ToString("c") + vbCrLf +
                "Final Price: " + dblFinalPrice.ToString("c")
        Catch ex As Exception
            'Bad data entered
            MessageBox.Show("Please enter numeric data (no $ signs)", "Price error", MessageBoxButtons.OK, MessageBoxIcon.Error)
        End Try
    End Sub

    Private Sub btnExit_Click(sender As Object, e As EventArgs) Handles btnExit.Click
        'End program
        Me.Close()
    End Sub

    Private Sub btnReset_Click(sender As Object, e As EventArgs) Handles btnReset.Click
        'Clear answer label
        lblResult.Text = String.Empty

        'Clear textboxes
        txtItemSold.Clear()
        txtSellingPrice.Clear()

        'Move focus to top textbox
        txtItemSold.Focus()
    End Sub
End Class
